Index: tmp/org.txm.core/src/java/org/txm/utils/BundleUtils.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/utils/BundleUtils.java	(revision 1221)
+++ tmp/org.txm.core/src/java/org/txm/utils/BundleUtils.java	(revision 1222)
@@ -16,7 +16,7 @@
 
 public class BundleUtils {
 
-	protected static File INSTALLDIR = new File(System.getProperty("eclipse.launcher")).getParentFile().getParentFile();
+//	protected static File INSTALLDIR = new File(System.getProperty("eclipse.launcher")).getParentFile().getParentFile();
 	/**
 	 * 
 	 * @param bundle_id the Bundle ID
@@ -112,9 +112,9 @@
 				return false;
 			}
 		} else { // jar file
-			if (!bundleDir.exists()) { // get from the installed Toolbox
-				bundleDir = new File(INSTALLDIR, "TXM/"+bundleLocation);
-			}
+//			if (!bundleDir.exists()) { // get from the installed Toolbox
+//				bundleDir = new File(INSTALLDIR, "TXM/"+bundleLocation);
+//			}
 
 			if (!Zip.extractOneFile(bundleDir, file_path+file_name, outfile, false)) {
 				System.out.println("Extraction of ressource failed from "+bundleDir+" with path "+file_path+file_name);
@@ -157,9 +157,9 @@
 				return false;
 			}
 		} else { // jar file
-			if (!bundleDir.exists()) { // get from the installed Toolbox
-				bundleDir = new File(INSTALLDIR, "TXM/"+bundleLocation);
-			}
+//			if (!bundleDir.exists()) { // get from the installed Toolbox
+//				bundleDir = new File(INSTALLDIR, "TXM/"+bundleLocation);
+//			}
 
 			if (!Zip.extractOneFile(bundleDir, file_path+file_name, fileToReplace, true)) {
 				System.out.println("Extraction of ressource failed from "+bundleDir+" with path "+file_path+file_name);
Index: tmp/org.txm.setups/shared/mac/Applications/TXM.app/Contents/MacOS/TXM
===================================================================
--- tmp/org.txm.setups/shared/mac/Applications/TXM.app/Contents/MacOS/TXM	(revision 1221)
+++ tmp/org.txm.setups/shared/mac/Applications/TXM.app/Contents/MacOS/TXM	(revision 1222)
@@ -182,5 +182,5 @@
 #	open "/Applications/TXM-TXMVERSION.app" --args -run --launcher.ini "$TXMHOME/.txm/TXM.ini" -data "$TXMHOME/.txm/data" -user "$TXMHOME/.txm/user" -install "/Applications/TXM-TXMVERSION.app" &
 #else
 	echo "TXM: Running TXM for Mac OS X $OSVERSION with the JAR launcher..."
-	/Applications/TXM-TXMVERSION.app/Contents/TXM/jre/Contents/Home/bin/java -Djava.library.path="$(echo  /Applications/TXM-TXMVERSION.app/Contents/TXM/plugins/org.eclipse.equinox.launcher.cocoa.macosx.x86_64_*/eclipse_*.so)" -XX:MaxPermSize=256m -XstartOnFirstThread $TXMINIARGSVM -jar "$(echo /Applications/TXM-TXMVERSION.app/Contents/TXM/plugins/org.eclipse.equinox.launcher_*.jar)" -os macosx -ws cocoa -arch x86_64 -showsplash -run -data "$TXMHOME/corpora" -user "$TXMHOME/.txm/user" -install "/Applications/TXM-TXMVERSION.app/Contents/TXM"
+	/Applications/TXM-TXMVERSION.app/Contents/TXM/jre/Contents/Home/bin/java -Djava.library.path="$(echo  /Applications/TXM-TXMVERSION.app/Contents/TXM/plugins/org.eclipse.equinox.launcher.cocoa.macosx.x86_64_*/eclipse_*.so)" -XX:MaxPermSize=256m -XstartOnFirstThread $TXMINIARGSVM -jar "$(echo /Applications/TXM-TXMVERSION.app/Contents/TXM/plugins/org.eclipse.equinox.launcher_*.jar)" -os macosx -ws cocoa -arch x86_64 -consoleLog -showsplash -run -data "$TXMHOME/corpora" -user "$TXMHOME/.txm/user" -install "/Applications/TXM-TXMVERSION.app/Contents/TXM"
 #fi
\ No newline at end of file
Index: tmp/org.txm.setups/shared/debian/usr/bin/TXM
===================================================================
--- tmp/org.txm.setups/shared/debian/usr/bin/TXM	(revision 1221)
+++ tmp/org.txm.setups/shared/debian/usr/bin/TXM	(revision 1222)
@@ -157,6 +157,6 @@
 fi
 
 ## uncomment next lien to enable full debug
-#DEBUGOPTIONS="-log -consolelog -clean -debug -console -noexit"
+#DEBUGOPTIONS="-log -clean -debug -console -noexit"
 
-SWT_GTK3=0 UBUNTU_MENUPROXY=0 exec "${TXMINSTALL}/TXM" "$@" -run --launcher.ini "$DOTTXMHOME/TXM.ini" $DEBUGOPTIONS -data "$TXMHOME/corpora" -user "$DOTTXMHOME/user" -install "$TXMINSTALL"
+SWT_GTK3=0 UBUNTU_MENUPROXY=0 exec "${TXMINSTALL}/TXM" -consoleLog "$@" -run --launcher.ini "$DOTTXMHOME/TXM.ini" $DEBUGOPTIONS -data "$TXMHOME/corpora" -user "$DOTTXMHOME/user" -install "$TXMINSTALL"
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 1221)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 1222)
@@ -687,7 +687,10 @@
 				Log.info("Checking TXM user directory.");
 				if (Toolbox.getTxmHomePath().trim().isEmpty()) {
 					Version v = BundleUtils.getBundleVersion("org.txm.rcp");
-
+					if (v == null) {
+						System.out.println("Error: no 'org.txm.rcp' version found.");
+						return false;
+					}
 					String version = v.getMajor()+"."+v.getMinor()+"."+v.getMicro();
 					if ("qualifier".equals(v.getQualifier())) {
 						System.out.println("RUNNING TXM FROM ECLIPSE - DEV MODE ACTIVATED");
Index: tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/ExportTranslateProject.java
===================================================================
--- tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/ExportTranslateProject.java	(revision 1221)
+++ tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/ExportTranslateProject.java	(revision 1222)
@@ -1,12 +1,9 @@
 package org.txm.rcp.translate;
 
-import java.lang.reflect.InvocationTargetException;
 import java.util.ArrayList;
 
 import org.eclipse.core.commands.ExecutionEvent;
 import org.eclipse.core.commands.ExecutionException;
-import org.eclipse.core.commands.IHandler;
-import org.eclipse.core.commands.IHandlerListener;
 import org.eclipse.core.resources.IFile;
 import org.eclipse.core.resources.IFolder;
 import org.eclipse.core.resources.IProject;
@@ -36,11 +33,10 @@
 		}
 		
 		String path = Toolbox.getTxmHomePath()+"/translate.zip";
-		ArrayList propertiesFiles = new ArrayList<>();
+		ArrayList<IFile> propertiesFiles = new ArrayList<IFile>();
 		try {
 			findPropertiesFile(newProject.getFolder("plugins"), propertiesFiles);
 		} catch (CoreException e1) {
-			// TODO Auto-generated catch block
 			e1.printStackTrace();
 			return null;
 		}
@@ -60,7 +56,7 @@
 		return null;
 	}
 
-	public static ArrayList findPropertiesFile(IResource r, ArrayList propertiesFiles) throws CoreException {
+	public static ArrayList<IFile> findPropertiesFile(IResource r, ArrayList<IFile> propertiesFiles) throws CoreException {
 		if (r instanceof IFolder) {
 			IFolder dir = (IFolder)r;
 			
@@ -71,7 +67,7 @@
 			IFile file = (IFile)r;
 			String name = file.getName();
 			if (name.endsWith(".properties") && (name.startsWith("bundle") || name.startsWith("messages"))) {
-				propertiesFiles.add(r);
+				propertiesFiles.add(file);
 			}
 		}
 		return propertiesFiles;
Index: tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/FindUnusedTranslations.java
===================================================================
--- tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/FindUnusedTranslations.java	(revision 0)
+++ tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/FindUnusedTranslations.java	(revision 1222)
@@ -0,0 +1,5 @@
+package org.txm.rcp.translate;
+
+public class FindUnusedTranslations {
+
+}

Property changes on: tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/FindUnusedTranslations.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/CreateTranslateProject.java
===================================================================
--- tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/CreateTranslateProject.java	(revision 1221)
+++ tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/CreateTranslateProject.java	(revision 1222)
@@ -59,7 +59,7 @@
 			a.run();
 
 			// show only the properties files
-			ArrayList<IResource> propertiesFiles = new ArrayList<>();
+			ArrayList<IFile> propertiesFiles = new ArrayList<>();
 			ExportTranslateProject.findPropertiesFile(plugins, propertiesFiles);
 			IResource[] elements = propertiesFiles.toArray(new IResource[propertiesFiles.size()]);
 
@@ -120,7 +120,7 @@
 					srcFolder.createLink(path, IResource.ALLOW_MISSING_LOCAL, cpb);
 
 					// set the encoding bundle=iso-8859-1, messages=utf-8
-					ArrayList<IResource> propertiesFiles = new ArrayList<>();
+					ArrayList<IFile> propertiesFiles = new ArrayList<IFile>();
 					ExportTranslateProject.findPropertiesFile(srcFolder, propertiesFiles);
 					for (IResource e : propertiesFiles) {
 						IFile f = (IFile)e;
Index: tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/FindMissingTranslations.java
===================================================================
--- tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/FindMissingTranslations.java	(revision 0)
+++ tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/FindMissingTranslations.java	(revision 1222)
@@ -0,0 +1,5 @@
+package org.txm.rcp.translate;
+
+public class FindMissingTranslations {
+
+}

Property changes on: tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/FindMissingTranslations.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

